import 'package:json_annotation/json_annotation.dart';

part 'PictureToUploadModel.g.dart';

@JsonSerializable()
class PictureToUploadModel {
  final String base64;
  final String fileName;
  final bool mainFile;

  PictureToUploadModel({
    required this.base64,
    required this.fileName,
    required this.mainFile,
  });

  factory PictureToUploadModel.fromJson(Map<String, dynamic> json) =>
      _$PictureToUploadModelFromJson(json);
  Map<String, dynamic> toJson() => _$PictureToUploadModelToJson(this);
}
