import 'package:flutter/material.dart';

class SignupChooseProfileDialog extends StatelessWidget {
  final Map<String, Route> options;
  const SignupChooseProfileDialog({Key? key, required this.options})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    final _options = options;
    return SimpleDialog(
      // title: Text('Cadastro'),
      children: _options.entries
          .map(
            (e) => SizedBox(
              width: 50,
              child: TextButton(
                onPressed: () => Navigator.push(
                  context,
                  e.value,
                ),
                child: Text(e.key),
              ),
            ),
          )
          .toList(),
    );
  }
}
