import 'package:apus_drones_mobile/models/AddressModel.dart';
import 'package:json_annotation/json_annotation.dart';
part 'CreatePartner.g.dart';

//flutter packages pub run build_runner build --delete-conflicting-outputs
@JsonSerializable()
class CreatePartner {
  String avatarUrl;
  String cpfCnpj;
  String email;
  String name;
  String password;
  AddressModel address;

  CreatePartner(
    this.avatarUrl,
    this.cpfCnpj,
    this.email,
    this.name,
    this.password,
    this.address,
  );

  factory CreatePartner.fromJson(Map<String, dynamic> json) =>
      _$CreatePartnerFromJson(json);
  Map<String, dynamic> toJson() => _$CreatePartnerToJson(this);
}
